> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.wynncraft.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wynncraft.com/_mcp/server.

# List published articles

GET https://api.wynncraft.com/v3/publisher/articles/list/{article_type}

This endpoint is cached for 2 minutes in the SHARED cache source.   See [Caching](/welcome#caching).  This endpoint belongs to the SHARED rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits).

Lists published articles.

Use `article` to return every published article type in the same response.

This endpoint uses the generic pagination response format.

Reference: https://docs.wynncraft.com/modules/news/list-publisher-articles

## Request

### Path parameters

- `article_type` (enum, required)
  - Allowed values: `blog`, `event`, `giveaway`, `article`, `poll`

### Query parameters

- `page` (integer, optional)

## Response

### 200

Paginated article list.

- `controller` (PaginationController, required)
- `results` (map from string to PublisherArticleSummary, required)

## Types

### PaginationController

- `count` (integer, required)
- `current_count` (integer, required)
- `pages` (integer, required)
- `prev` (integer, required, nullable)
- `current` (integer, required)
- `next` (integer, required, nullable)

### PublisherArticleSummary

- `pk` (integer, required)
- `title` (string, required)
- `type` (enum, required)
  - Allowed values: `blog`, `event`, `giveaway`, `article`, `poll`
- `banner` (string, required)
- `banner_zoom` (boolean, required)
- `recap` (string, required)
- `visible` (boolean, required)
- `start_date` (datetime, required)
- `end_date` (datetime, required, nullable)
- `pinned` (boolean, required)
- `has_content` (boolean, required)
- `published_at` (datetime, required)

## Examples

**Response**

```json
{
  "controller": {
    "count": 4,
    "current_count": 4,
    "pages": 1,
    "prev": null,
    "current": 1,
    "next": null
  },
  "results": {
    "1": {
      "pk": 101,
      "title": "Example Event Article",
      "type": "event",
      "banner": "event/banner/example-event-banner.gif",
      "banner_zoom": true,
      "recap": "Example recap for a published event article.",
      "visible": true,
      "start_date": "2026-04-01T12:00:00+00:00",
      "end_date": "2026-04-15T12:00:00+00:00",
      "pinned": false,
      "has_content": true,
      "published_at": "2026-04-01T12:05:00+00:00"
    },
    "2": {
      "pk": 102,
      "title": "Example Blog Article",
      "type": "blog",
      "banner": "blog/banner/example-blog-banner.png",
      "banner_zoom": true,
      "recap": "Example recap for a published blog article.",
      "visible": true,
      "start_date": "2026-04-10T18:00:00+00:00",
      "end_date": null,
      "pinned": false,
      "has_content": true,
      "published_at": "2026-04-10T18:03:00+00:00"
    },
    "3": {
      "pk": 103,
      "title": "Example Giveaway Article",
      "type": "giveaway",
      "banner": "giveaway/banner/example-giveaway-banner.png",
      "banner_zoom": true,
      "recap": "Example recap for a published giveaway article.",
      "visible": true,
      "start_date": "2026-04-20T09:00:00+00:00",
      "end_date": "2026-05-01T09:00:00+00:00",
      "pinned": false,
      "has_content": true,
      "published_at": "2026-04-20T09:04:00+00:00"
    },
    "4": {
      "pk": 104,
      "title": "Example Poll Article",
      "type": "poll",
      "banner": "poll/banner/example-poll-banner.png",
      "banner_zoom": false,
      "recap": "Example recap for a published poll article.",
      "visible": true,
      "start_date": "2026-05-01T15:00:00+00:00",
      "end_date": "2026-05-08T15:00:00+00:00",
      "pinned": true,
      "has_content": true,
      "published_at": "2026-05-01T15:02:00+00:00"
    }
  }
}
```

**SDK Code**

```python Paginated article list with mixed article types
import requests

url = "https://api.wynncraft.com/v3/publisher/articles/list/blog"

response = requests.get(url)

print(response.json())
```

```javascript Paginated article list with mixed article types
const url = 'https://api.wynncraft.com/v3/publisher/articles/list/blog';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Paginated article list with mixed article types
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wynncraft.com/v3/publisher/articles/list/blog"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Paginated article list with mixed article types
require 'uri'
require 'net/http'

url = URI("https://api.wynncraft.com/v3/publisher/articles/list/blog")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Paginated article list with mixed article types
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.wynncraft.com/v3/publisher/articles/list/blog")
  .asString();
```

```php Paginated article list with mixed article types
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.wynncraft.com/v3/publisher/articles/list/blog');

echo $response->getBody();
```

```csharp Paginated article list with mixed article types
using RestSharp;

var client = new RestClient("https://api.wynncraft.com/v3/publisher/articles/list/blog");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Paginated article list with mixed article types
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wynncraft.com/v3/publisher/articles/list/blog")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```